Skip to main content

Verify a withdrawal OTP and initiate payout

POST/api/merchant/withdrawals/{withdrawalId}/verify-otp

Verify a withdrawal OTP and initiate payout

Request

Parameters

NameLocationTypeRequired
withdrawalIdpathstringYes

Request body (required)

{
  "otp": "123456"
}

Responses

200 Withdrawal initiated

Example response

{
  "message": "withdrawal otp verified and transfer initiated",
  "response": {
    "withdrawalId": "mwd_123e4567-e89b-12d3-a456-426614174000",
    "amount": 25000,
    "currency": "NGN",
    "status": "processing",
    "destinationAccountNumber": "0123456789",
    "destinationBankCode": "100033",
    "destinationBankName": "PALMPAY",
    "destinationAccountName": "Jane Doe",
    "onchainTxHash": "",
    "providerTransferRef": "aella_transfer_123",
    "sessionId": "session_123",
    "failureReason": "",
    "otpIssuedAt": "2026-08-24T12:00:00.000Z",
    "createdAt": "2026-08-24T12:00:00.000Z",
    "updatedAt": "2026-08-24T12:00:00.000Z",
    "otpVerifiedAt": "2026-08-24T12:00:00.000Z"
  }
}